package com.inspect.statistics.mapper;

import com.inspect.statistics.domain.StatisticsPatrolResult;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface StatisticsPatrolResultMapper {
    List<StatisticsPatrolResult> queryPatrolResult(StatisticsPatrolResult result);

    List<StatisticsPatrolResult> queryPatrolResultMulti(StatisticsPatrolResult result);
    List<StatisticsPatrolResult> queryPatrolResultMulti2(StatisticsPatrolResult result);

    List<StatisticsPatrolResult> queryPatrolResultMultiExport(StatisticsPatrolResult result);

    List<StatisticsPatrolResult> queryPatrolResultCharts(StatisticsPatrolResult result);

    List<StatisticsPatrolResult> queryResultByIds(@Param("type") Integer type, @Param("lineIds") String lineIds);

    List<StatisticsPatrolResult> queryNumTypeInfo(@Param("num") Integer num, @Param("deviceId") String deviceId, @Param("patrolDeviceCode") String patrolDeviceCode);
}
